Skip to content

Build Field Group ​

Build a field group, resolving all field definitions to their compiled representation. Built field groups are required before they can be used in object schemas and training configs. Requires ADMIN permissions.

Parameters ​

name * are required parametersdata typedescription
schemaId*stringThe unique identifier of the field group to build

Return Value ​

The built field group with all fields resolved (IFieldGroupBuilt).

Examples ​

bash
curl -X POST "https://app.wombat.software/api/{targetPath}/field-group/:schemaId/build" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer ..."

ENDPOINTS

post/api/{targetPath}/field-group/:schemaId/build